## org.codehaus.groovy.classgen
Class CompileStack.BlockRecorder

    java.lang.Object
      org.codehaus.groovy.classgen.CompileStack.BlockRecorder

Enclosing class:
  CompileStack

    protected static class CompileStack.BlockRecorder
    extends Object

Field Summary
Modifier and Type | Field and Description
--- | ---
`Runnable` `excludedStatement`
`LinkedList<CompileStack.LabelRange>` `ranges`

Constructor Summary
Constructor and Description
`CompileStack.BlockRecorder()`
`CompileStack.BlockRecorder(Runnable excludedStatement)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`void` `closeRange(org.objectweb.asm.Label end)`
`void` `startRange(org.objectweb.asm.Label start)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### excludedStatement

    public Runnable excludedStatement

### ranges

    public LinkedList<CompileStack.LabelRange> ranges

Constructor Detail

### CompileStack.BlockRecorder

    public CompileStack.BlockRecorder()

### CompileStack.BlockRecorder

    public CompileStack.BlockRecorder(Runnable excludedStatement)

Method Detail

### startRange

    public void startRange(org.objectweb.asm.Label start)

### closeRange

    public void closeRange(org.objectweb.asm.Label end)

Copyright © 2003-2010 The Codehaus. All rights reserved.